%define srcname spatialite
%define major 7
%define libnamedev %mklibname %{srcname} -d
%define libname %mklibname %{srcname} %{major}

Name:           libspatialite
Version:        4.4.0
Release:        %mkrel 1
Summary:        SQLite Spatial SQL extension
License:        GPLv2
Group:          System/Libraries
Url:            https://www.gaia-gis.it/fossil/libspatialite/index

Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.xz

BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:  %{_lib}sqlite3-devel
BuildRequires:	pkgconfig(zlib)
BuildRequires:  %{_lib}geos-devel
BuildRequires:  %{_lib}proj-devel
Obsoletes:      libspatialite

%description
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.

%package -n %{libname}
Summary:        SQLite Spatial SQL extension
Group:          System/Libraries
%description -n %{libname}
SpatiaLite is an open source library intended to extend the SQLite core to
support fully fledged Spatial SQL capabilities.
SQLite is intrinsically simple and lightweight:
- a single lightweight library implementing the full SQL engine
- standard SQL implementation: almost complete SQL-92
- no complex client/server architecture
- a whole database simply corresponds to a single monolithic file (no size
  limits)
- any DB-file can be safely exchanged across different platforms, because the
  internal architecture is universally portable
- no installation, no configuration
SpatiaLite is smoothly integrated into SQLite to provide a complete and
powerful Spatial DBMS (mostly OGC-SFS compliant).
Using SQLite + SpatiaLite you can effectively deploy an alternative open
source Spatial DBMS roughly equivalent to PostgreSQL + PostGIS.

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Databases
Requires:       %{libname} = %{version}-%{release}
Provides:       %{srcname}-devel
%description -n %{libnamedev}
Development files needed to build software using %{name}

%prep
%setup -q

%build
%configure2_5x \
    --enable-freexl=no \
    --enable-static=no
%make

%install
%makeinstall_std
find %{buildroot} -name "*.la" -delete

%files -n %{libname}
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{major}.*

%files -n %{libnamedev}
%{_includedir}/spatialite*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc



%changelog
* Wed Jun 07 2017 adrianomorselli <adrianomorselli> 4.4.0-1uplos2017
- update
